Hooks:PostHook(UpgradesTweakData, "init", "inf_upgradestweak_upgradevalues_always", function(self)
	-- Enabling holdout/bunker
	self.values.player.holdout_consecutive_kills = {true}
end)

Hooks:PostHook(UpgradesTweakData, "_init_pd2_values", "inf_upgradestweak_pd2values_always", function(self, params)
	-- Bunker/Holdout minimum distance for activating the health regen
	-- For reference, self.close_combat_distance = 1800
	self.holdout_distant_kill_min_distance = 1200
	-- Maximum distance for the close-range version of the regen instead, which regenerates armor
	self.holdout_close_kill_max_distance = 1200

	-- Displayed health and armor ingame is x10 its actual value, so this is 10 and 20
	self.values.player.holdout_distant_kill_health_regen = {
		1,
		2
	}
	-- Close-by armor regen
	self.values.player.holdout_close_kill_armor_regen = {
		1,
		2
	}

	-- How many kills are required inside a newly dropped zone to activate it
	self.values.player.holdout_killcount = {
		3,
		2
	}

	-- Every X kills, you get an extra ammo drop from a kill inside a zone, where X is the upgrade value
	self.values.player.holdout_consecutive_kill_ammo = {
		10
	}

	-- Defines the cooldown for the health/armor regen effect
	self.values.player.holdout_regen_cooldown = {
		3,
		2
	}

	-- Damage reduction when inside your zone
	
	-- Irenfist originally had two 3rd tier skills, one that gave you a massive 50% dmg reduction when bipodded and another that gave you 50 armor for each sniper headshot with no cd
	-- And you could double dip on this because snipers in irenfist had working snooper bidpods too (unless good ol mandela effect)
	-- and with the original zone's 2m radius conventional wisdom states that the perk was meant to synergize with those two skills
	-- so i personally thought it made sense for the original perk's dmg reduction and cd to be kind of weak 
	-- since the "ideal" playstyle would be combining those skills to snipe everything while stationary and automatically picking up all the ammo drops with the deck in the original mod
	-- but we don't have those skills anymore cause the original mod is broken and I don't see myself being able to completely fix all the crashes in the original mod's skill tree
	-- therefore, stronger dmg reduction and faster cd than the original
	-- if anything, the original ideal loadout with the mod would be stronger than what we have here because of what i mentioned
	-- well, based on when i tested it in the DW+ lobbies + LIES and the ones I hosted with my own spawngroup mod, i dunno or really care if it sucks on DS
	-- i bet it has the same problem as maniac has anyways.
	-- balancing a perk around vanilla DSOD is the midwit trap anyway.
--[[	
	local max_armor_lol = dmg_ext:_max_armor()	
	
	if max_armor_lol >= 123 then
		self.values.player.holdout_dmg_reduction = {
			0.28
		}
	else
		self.values.player.holdout_dmg_reduction = {
			0.40
		}
	end
--]]	
	--my attempt at giving more dmg reduction for suit/lbv compared to ictv doesn't work so, i went to playermanager instead. 

	self.values.player.holdout_dmg_reduction = {
		0.72
	}

end)

Hooks:PostHook(UpgradesTweakData, "_player_definitions", "inf_upgradestweak_playerdefs_always", function(self)
	-- Bunker/Holdout stuff
	self.definitions.player_holdout_consecutive_kills = {
		category = "feature",
		name_id = "menu_player_holdout_consecutive_kills",
		upgrade = {
			category = "player",
			upgrade = "holdout_consecutive_kills",
			value = 1
		}
	}

	self.definitions.player_holdout_killcount_1 = {
		category = "feature",
		name_id = "menu_player_holdout_killcount_1",
		upgrade = {
			category = "player",
			upgrade = "holdout_killcount",
			value = 1
		}
	}
	self.definitions.player_holdout_killcount_2 = {
		category = "feature",
		name_id = "menu_player_holdout_killcount_2",
		upgrade = {
			category = "player",
			upgrade = "holdout_killcount",
			value = 2
		}
	}
	
	
	-- Distant kill health regen
	self.definitions.player_holdout_distant_kill_health_regen_1 = {
		category = "feature",
		name_id = "menu_player_holdout_distant_kill_health_regen_1",
		upgrade = {
			category = "player",
			upgrade = "holdout_distant_kill_health_regen",
			value = 1
		}
	}
	self.definitions.player_holdout_distant_kill_health_regen_2 = {
		category = "feature",
		name_id = "menu_player_holdout_distant_kill_health_regen_2",
		upgrade = {
			category = "player",
			upgrade = "holdout_distant_kill_health_regen",
			value = 2
		}
	}
	-- Close-by armor regen
	self.definitions.player_holdout_close_kill_armor_regen_1 = {
		category = "feature",
		name_id = "menu_player_holdout_close_kill_armor_regen_1",
		upgrade = {
			category = "player",
			upgrade = "holdout_close_kill_armor_regen",
			value = 1
		}
	}
	self.definitions.player_holdout_close_kill_armor_regen_2 = {
		category = "feature",
		name_id = "menu_player_holdout_close_kill_armor_regen_2",
		upgrade = {
			category = "player",
			upgrade = "holdout_close_kill_armor_regen",
			value = 2
		}
	}

	-- Cooldowns for the regen
	self.definitions.player_holdout_regen_cooldown_1 = {
		category = "feature",
		name_id = "menu_player_holdout_regen_cooldown_1",
		upgrade = {
			category = "player",
			upgrade = "holdout_regen_cooldown",
			value = 1
		}
	}
	self.definitions.player_holdout_regen_cooldown_2 = {
		category = "feature",
		name_id = "menu_player_holdout_regen_cooldown_2",
		upgrade = {
			category = "player",
			upgrade = "holdout_regen_cooldown",
			value = 2
		}
	}

	-- Every nth kill drops extra ammo
	self.definitions.player_holdout_consecutive_kill_ammo = {
		category = "feature",
		name_id = "menu_player_holdout_consecutive_kill_ammo",
		upgrade = {
			category = "player",
			upgrade = "holdout_consecutive_kill_ammo",
			value = 1
		}
	}
	-- Holdout damage reduction
	self.definitions.player_holdout_dmg_reduction_1 = {
		category = "feature",
		name_id = "menu_player_holdout_dmg_reduction_1",
		upgrade = {
			category = "player",
			upgrade = "holdout_dmg_reduction",
			value = 1
		}	
	}
end)
		